/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.testUtils;

import it.eng.spago4q.exporter.OperationExporterTest;
import it.eng.spago4q.exporter.ScriptExportTest;
import it.eng.spago4q.extractors.AbstractExtractorTest;
import it.eng.spago4q.extractors.bo.GenericItemUtilTest;
import it.eng.spago4q.extractors.script.DateConverterScriptTest;
import it.eng.spago4q.extractors.script.ScriptCreatorTest;
import it.eng.spago4q.extractors.xml.Dom4JXmlExtractorTest;
import it.eng.spago4q.extractors.xml.SaxXmlExtractorTest;
import it.eng.spago4q.extractors.xml.XmlExtractorTest;
import junit.framework.Test;
import junit.framework.TestSuite;

public class AllTests {

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for it.eng.spago4q.testUtils");
		suite.addTestSuite(ScriptExportTest.class);
		suite.addTestSuite(OperationExporterTest.class);
		suite.addTestSuite(AbstractExtractorTest.class);
		suite.addTestSuite(GenericItemUtilTest.class);
		suite.addTestSuite(DateConverterScriptTest.class);
		suite.addTestSuite(ScriptCreatorTest.class);
		suite.addTestSuite(Dom4JXmlExtractorTest.class);
		suite.addTestSuite(SaxXmlExtractorTest.class);
		suite.addTestSuite(XmlExtractorTest.class);
		return suite;
	}

}
