/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.source.service;

import it.eng.spago4q.source.utils.DetailSourceTypeUtil;
import it.eng.spago4q.utilities.DetailS4Q1Module;
import it.eng.spago4q.utilities.DetailS4Q1ObjectUtil;


public class DetailESourceTypeModule extends DetailS4Q1Module {

	private static final String VALIDATION_PAGE = "SourceTypeDetailPage";

	private DetailSourceTypeUtil detailSourceTypeUtil = new DetailSourceTypeUtil();
	
	@Override
	protected DetailS4Q1ObjectUtil getDetailObjectUtil() {
		return detailSourceTypeUtil;
	}

	@Override
	protected String getValidationPage() {
		return VALIDATION_PAGE;
	}

}
